import apiRequest from '@/network/http/apiRequest'

/**
 * 文章列表
 * @param data
 */
export function getArtByPage(data: any) {
  return apiRequest({
    url: '/art/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 文章列表
 * @param data

 */
export function getArtByList(data: any) {
  return apiRequest({
    url: '/art',
    method: 'GET',
    params: data,
  })
}

/**
 * 最近文章列表：50笔
 * @param data

 */
export function getRecentArtByList(data: any) {
  return apiRequest({
    url: '/art/recent',
    method: 'GET',
    params: data,
  })
}

/**
 * 文章详情
 * @param artId
 */
export function getArtById(artId: number) {
  return apiRequest({
    url: `/art/${artId}`,
    method: 'GET',
  })
}

/**
 * 文章详情
 * @param data
 */
export function createArt(data: any) {
  return apiRequest({
    url: '/art/issue/add',
    method: 'POST',
    data,
  })
}

/**
 * 文章详情
 * @param data
 */
export function updateArt(data: any) {
  return apiRequest({
    url: '/art/update',
    method: 'PUT',
    data,
  })
}

/**
 * 文章详情
 * @param artId
*/
export function deleteArtById(artId: number) {
  return apiRequest({
    url: `/art/${artId}`,
    method: 'DELETE',
  })
}
